Package twisted :: Package python :: Module formmethod :: Class Date

[frames | no frames]

## Class Date

    Argument --+
               |
              Date

A date -- (year, month, day) tuple.

Method Summary
| `__init__(self, name, allowNone, default, shortDesc, longDesc, hints)`
| ``coerce`(self, args)` Return tuple of ints (year, month, day).
Inherited from Argument
| ``addHints`(self, **kwargs)`
| ``getHint`(self, name, default)`
| ``getLongDescription`(self)`
| ``getShortDescription`(self)`

Class Variable Summary
`NoneType` | `defaultDefault` = None

Method Details

### coerce(self, args)

Return tuple of ints (year, month, day).

  Overrides:
    `twisted.python.formmethod.Argument.coerce`

Class Variable Details

### defaultDefault

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 2.0 on Sat May 15 20:08:53 2004 | http://epydoc.sf.net